Holger's Java API

## com.antelmann.util.table
Class DateDialogCellEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          javax.swing.DefaultCellEditor
              com.antelmann.util.table.AbstractDialogCellEditor<Date>
                  com.antelmann.util.table.DateDialogCellEditor

All Implemented Interfaces:
  ValueRetriever<Date>, ValueSetter<Date>, Serializable, CellEditor, TableCellEditor, TreeCellEditor

    @ThirdParty(value="uses com.toedter")
    public class DateDialogCellEditor

extends AbstractDialogCellEditor<Date>

provides a dialog with a `MyJCalendar` component for selecting the date upon edit.

Since:
  21. August 2007, 23:14
Author:
  Holger Antelmann
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.DefaultCellEditor
`DefaultCellEditor.EditorDelegate`

Field Summary

Fields inherited from class com.antelmann.util.table.AbstractDialogCellEditor
`column, columnName, dialogComponent, dialogTitle, expanded, isSelected, leaf, row, table, tree`

Fields inherited from class javax.swing.DefaultCellEditor
`clickCountToStart, delegate, editorComponent`

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`DateDialogCellEditor()`
`DateDialogCellEditor(String dialogTitle)`
`DateDialogCellEditor(String dialogTitle, Date defaultDate)` if null is given as a title, the column name is used

Method Summary
`Date` `getRelevantValue()` returns the relevant value for this instance at the time of calling
`void` `setRelevantValue(Date date)` sets the relevant value for this instance with the given value

Methods inherited from class com.antelmann.util.table.AbstractDialogCellEditor
`getCellEditorValue, getDialogComponent, getRelevantComponent, getTableCellEditorComponent, getTreeCellEditorComponent, isCellEditable, isResizable, setResizable, showDialog, valueChanged`

Methods inherited from class javax.swing.DefaultCellEditor
`cancelCellEditing, getClickCountToStart, getComponent, setClickCountToStart, shouldSelectCell, stopCellEditing`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, removeCellEditorListener`

Constructor Detail

### DateDialogCellEditor

    public DateDialogCellEditor()

### DateDialogCellEditor

    public DateDialogCellEditor(String dialogTitle)

### DateDialogCellEditor

    public DateDialogCellEditor(String dialogTitle,
                                Date defaultDate)

  if null is given as a title, the column name is used

Method Detail

### getRelevantValue

    public Date getRelevantValue()

  Description copied from interface: `ValueRetriever`
  returns the relevant value for this instance at the time of calling

### setRelevantValue

    public void setRelevantValue(Date date)
                          throws Exception

  Description copied from interface: `ValueSetter`
  sets the relevant value for this instance with the given value

  Throws:
    `Exception`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads